/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_MOTICONT                                                 */
/* Tabela : MOTICONT                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 28/02/2007 - Rejane P. Leite                                               */
/*                                                                            */
/******************************************************************************/
CREATE OR REPLACE TRIGGER DTULTATU_MOTICONT
BEFORE INSERT OR UPDATE OR DELETE
ON MOTICONT FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUMCON := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDMOTICONT,0 )   <> NVL(:NEW.CDMOTICONT,0))   OR
         (NVL(:OLD.NMMOTICONT,0 )   <> NVL(:NEW.NMMOTICONT,0))   OR
         (NVL(:OLD.QTSEGAVISMOT,0 ) <> NVL(:NEW.QTSEGAVISMOT,0)) OR
         (NVL(:OLD.CDNATUCONT,0 )   <> NVL(:NEW.CDNATUCONT,0))   OR
         (NVL(:OLD.NMMTCONTESPA,0 ) <> NVL(:NEW.NMMTCONTESPA,0)) OR
         (NVL(:OLD.NMMTCONTINGL,0 ) <> NVL(:NEW.NMMTCONTINGL,0)) THEN
         :NEW.DTULTATUMCON := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('MOTICONT', '','CDMOTICONT='||:OLD.CDMOTICONT||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE MOTICONT MODIFY DTULTATUMCON DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_MOTICONT','5.03.010'); END;
/

