var SelectMultipleCheckboxController = function ($scope, metaDataFactory) {
	var self = this;

	var parentField = $scope.$parent.field;

	var checkboxField = {
        name: parentField.name + '_CHECKBOX_ALL',
        label: 'Todos',
        template: 'field/checkbox.html',
        isVisible: true,
        valueToTrue: true,
        valueToFalse: false,
        readOnly: parentField.readOnly,
        events: [
        	{
        		name: 'FieldOnChange',
        		code: checkboxValueChange
        	}
    	]
	};

	$scope.field = metaDataFactory.fieldFactory(checkboxField);
	$scope.field.widget = parentField.widget;
	$scope.field.value(parentField.allSelected);
	parentField.readOnlyAll = parentField.allSelected;

	
	var oldFieldValidate = parentField.validate.bind(parentField);
	parentField.validate = function(value, callback) {
		value = !Util.isEmptyOrBlank(value) ? value : $scope.field.value();
		oldFieldValidate(value, callback);
	};
	
	function checkboxValueChange() {
		parentField.allSelected = $scope.field.value();
		parentField.readOnlyAll = parentField.allSelected;
		if (parentField.widget.currentRow.$error) parentField.widget.currentRow.$error[parentField.name] = [];
	}
};

ZeedhiController.controller('SelectMultipleCheckboxController', SelectMultipleCheckboxController);


ZeedhiFields.directive('zhSelectMultipleCheckbox', function($timeout) {
	return {
		link: function($scope, element) {
			$timeout(function() { $scope.$parent.$parent.field._allCheckboxWidth = $(element).outerWidth(true); }, 100, 0);
		}
	};
});
